{ kubenix, registry ? "docker.io/mic92" }:

rec {
  # evaluated configuration
  inherit (kubenix.evalModules {
    modules = [
      ./module.nix
      { docker.registry.url = registry; }
    ];
  }) config;

  # generated: kubernetes List object
  # result: JSON file you can deploy to kubernetes
  inherit (config.kubernetes) generated result;
  # export: Exported docker images
  # copyScript: script to push docker images to registry
  inherit (config.docker) export copyScript;
}
